# Niki Herl's TypeScript Utilities
This is the readme for `nhl-ts_utils`'s public repository.

## What is being built here?
I'm collecting all the TypeScript utilities and experiments I build here. This includes:
- math and array utilities
- data structures (in particular, I've had a fascination with trees)
- type utilities

However, much of the code is incomplete and/or experimental. I'd advice against using for now.

## Who is building it?
Me, Niki Herl, computer science BSc student at TU Wien. Check out my personal website [nikiherl.com](https://nikiherl.com).

## Building and uploading the library to npm
``` sh
npm run build # clears the lib folder and compiles the JS/TS filesy
npm run bump # bumps the minor version number in package.json via `npm version patch`
npm publish
```
