export declare function from_1_to_n(n: number): number[];
export declare function from_0_to_n(n: number): number[];
export declare function from_n_to_m(n: number, m: number): number[];
export declare function zipWith<A, B, C>(fn: (a: A, b: B) => C, arr1: A[], arr2: B[]): C[];
export declare function zip<A, B, C>(arr1: A[], arr2: B[]): [A, B][];
export declare function exclude<A>(arr: A[], exlusionCriteria: (elem: A) => boolean): A[];
export declare function mutating_delete_at<T>(array: T[], index: number): T[];
export declare function minimum_by<A>(array: A[], sortFn: (a: A, b: A) => number): A;
export declare function maximum_by<A>(array: A[], sortFn: (a: A, b: A) => number): A;
export declare function toArrayLiteralString(array: readonly number[] | readonly string[]): string;
